Page MenuHomePhabricator

Re-build all CI images of PHP 7.4 from sury's package to Wikimedia's one, to assure us that it will work
Closed, ResolvedPublic

Related Objects

Event Timeline

Jdforrester-WMF renamed this task from Re-build all CI images of PHP 7.4 from sury's package to Wikimedia's one, once it exists to Re-build all CI images of PHP 7.4 from sury's package to Wikimedia's one, to assure us that it will work.Oct 20 2021, 2:38 AM
Jdforrester-WMF created this task.

Change 732112 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] [DNM] Docker: [php74] Switch PHP 7.4 from Sury to Wikimedia package

https://gerrit.wikimedia.org/r/732112

This would also be a good time to enable PHP 7.4 jobs on wmf/ branches.

Change 732112 merged by jenkins-bot:

[integration/config@master] Docker: [php74] Switch PHP 7.4 from Sury to Wikimedia package

https://gerrit.wikimedia.org/r/732112

Mentioned in SAL (#wikimedia-releng) [2021-10-25T19:21:43Z] <James_F> Docker: Publishing new php74 and cascaded images with PHP 7.4 from Wikimedia package T293851

Change 734382 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: Switch to PHP 7.4 images with Wikimedia not Sury package

https://gerrit.wikimedia.org/r/734382

Change 734382 merged by jenkins-bot:

[integration/config@master] jjb: Switch to PHP 7.4 images with Wikimedia not Sury package

https://gerrit.wikimedia.org/r/734382

Legoktm added a subscriber: hashar.

@hashar pointed out that quibble-buster-php74 is still using sury's images and got missed.

We would need the Quibble images to be migrated as well, they are still using sury:

$ grep FROM dockerfiles/quibble-buster-php74/Dockerfile.template 
FROM {{ "sury-php" | image_tag }} AS sury-php

Which is more or less about replacing the sury APT by our component/php74.

Note that we have some additional use cases such as XDebug or pcov which would need packaging.

We would need pcov which is used to generate coverage report and is way faster than XDebug for that purpose. I have made it a sub task: T243847: Add pcov PHP extension to wikimedia apt so it can be used in Wikimedia CI

Change 767861 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] [WIP] dockerfiles: [quibble-buster-php74] Migrate from sury-php to Wikimedia PHP

https://gerrit.wikimedia.org/r/767861

Change 767861 merged by jenkins-bot:

[integration/config@master] dockerfiles: [quibble-buster-php74] Migrate from sury-php to Wikimedia PHP

https://gerrit.wikimedia.org/r/767861

Mentioned in SAL (#wikimedia-releng) [2022-08-09T19:42:27Z] <James_F> Docker: Re-build and publish quibble-buster-php74 based on Wikimedia PHP not sury-php for T293851

Change 821792 had a related patch set uploaded (by Jforrester; author: Jforrester):

[integration/config@master] jjb: Switch all quibble PHP74 jobs to images using Wikimedia's not Sury's PHP

https://gerrit.wikimedia.org/r/821792

Change 821792 merged by jenkins-bot:

[integration/config@master] jjb: Switch all quibble PHP74 jobs to images using Wikimedia's not Sury's PHP

https://gerrit.wikimedia.org/r/821792